# Class CodeSizeCalculator

java.lang.Object
net.sf.robocode.repository.CodeSizeCalculator

public final class CodeSizeCalculator extends Object
Tool used for calculating the code size of a directory or jar file.

Author:
  Flemming N. Larsen (original)

## Constructor Summary

Constructors
Constructor
Description
`CodeSizeCalculator()`

## Method Summary

Modifier and Type
Method
Description
`static Integer`
`getDirectoryCodeSize(File dir)`
`static Integer`
`getJarFileCodeSize(File jarFile)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CodeSizeCalculator

public CodeSizeCalculator()

## Method Details

### getDirectoryCodeSize

public static Integer getDirectoryCodeSize(File dir)

### getJarFileCodeSize

public static Integer getJarFileCodeSize(File jarFile)